summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorDawid Węgliński <cla@gentoo.org>2008-09-23 02:08:18 +0000
committerDawid Węgliński <cla@gentoo.org>2008-09-23 02:08:18 +0000
commit5117ac99c090b73147c35849057d3b906e57b222 (patch)
tree433a2310c1cedd22db6869bdd4bf0961a1627f7d /net-misc/emirror/emirror-2.1.21.ebuild
parentAdded patch to fix insecure tempfile handling (see bug #235804). Removed ebui... (diff)
downloadhistorical-5117ac99c090b73147c35849057d3b906e57b222.tar.gz
historical-5117ac99c090b73147c35849057d3b906e57b222.tar.bz2
historical-5117ac99c090b73147c35849057d3b906e57b222.zip
Keyword ~amd64, fix HOMEPAGE url; use econf and emake instead of ./configure and make
Package-Manager: portage-2.1.4.4
Diffstat (limited to 'net-misc/emirror/emirror-2.1.21.ebuild')
-rw-r--r--net-misc/emirror/emirror-2.1.21.ebuild27
1 files changed, 11 insertions, 16 deletions
diff --git a/net-misc/emirror/emirror-2.1.21.ebuild b/net-misc/emirror/emirror-2.1.21.ebuild
index f7d2acaa0fd0..c9eaa4f7b16f 100644
--- a/net-misc/emirror/emirror-2.1.21.ebuild
+++ b/net-misc/emirror/emirror-2.1.21.ebuild
@@ -1,31 +1,26 @@
-# Copyright 1999-2006 Gentoo Foundation
+# Copyright 1999-2008 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/net-misc/emirror/emirror-2.1.21.ebuild,v 1.6 2006/12/11 08:01:23 beu Exp $
+# $Header: /var/cvsroot/gentoo-x86/net-misc/emirror/emirror-2.1.21.ebuild,v 1.7 2008/09/23 02:08:18 cla Exp $
DESCRIPTION="ECLiPt FTP mirroring tool"
-HOMEPAGE="http://eclipt.uni-klu.ac.at/emirror.php"
+HOMEPAGE="http://sourceforge.net/projects/emirror/"
SRC_URI="mirror://sourceforge/${PN}/${P}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
-KEYWORDS="x86 ~ppc"
+KEYWORDS="~amd64 ~ppc x86"
IUSE=""
src_compile() {
- ./configure \
- --prefix=/usr \
- --sysconfdir=/etc \
- --mandir=/usr/share/man \
- || die "configure problem"
-
- emake || die "compile problem"
+ econf || die "econf failed"
+ emake || die "emake failed"
}
src_install() {
- make \
- prefix=${D}/usr \
- mandir=${D}/usr/share/man/man1 \
- sysconfdir=${D}/etc \
- install || die "install problem"
+ emake \
+ prefix="${D}"/usr \
+ mandir="${D}"/usr/share/man/man1 \
+ sysconfdir="${D}"/etc \
+ install || die "emake install failed"
dodoc doc/*
}